For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fleet

The following endpoints allow you to retrieve the list of all equipments and manage their identity.

Fleet

get
/v2/fleet/equipments

Returns the list of all equipments and their identity. This endpoint is paginated.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Query parameters
limitinteger · int32 · max: 50Optional

The numbers of items to return

Default: 20
offsetinteger · int32Optional

The number of items to skip before starting to collect the result set

Default: 0
includeCustomFieldsinteger · int32Optional

By default, customFields are not included. If set to one, the custom fields will be included in the response

Default: 0
includeDataSourcesinteger · int32Optional

By default, data sources related to the equipment are not included. If set to one, the data sources will be included in the response

Default: 0
includeGroupinteger · int32Optional

By default, equipment group information is not included. If set to one, the group information will be included in the response

Default: 0
filterByInProgressSharingintegerOptional

This parameter allows filtering the equipments based on whether the equipment is currently involved in an in-progress sharing process or not.

Example: {"value":0,"summary":"Filter by not in progress sharing"}
Responses
200

List of equipment

application/json
get/v2/fleet/equipments

Archived Equipments

get
/v2/fleet/equipments/archived

Returns the list of archived equipments. This endpoint is paginated.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Query parameters
limitinteger · int32 · max: 50Optional

The numbers of items to return

Default: 20
offsetinteger · int32Optional

The number of items to skip before starting to collect the result set

Default: 0
Responses
200

List of archived equipment

application/json
get/v2/fleet/equipments/archived

Equipment

get
/v2/fleet/equipments/{id}

Returns the identity of the requested equipment

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idinteger · int32Required

ID of the equipment

Query parameters
includeCustomFieldsinteger · int32Optional

By default, customFields are not included. If set to one, the custom fields will be included in the response

Default: 0
Responses
200

List of equipment

application/json
get/v2/fleet/equipments/{id}

Delete an equipment

delete
/v2/fleet/equipments/{id}

Marks the specified equipment as deleted. The equipment must be archived before it can be mark as deleted.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idinteger · int32Required

ID of the equipment

Responses
204

Equipment deleted successfully (no content)

No content

delete/v2/fleet/equipments/{id}

No content

Get equipment status

get
/v2/fleet/equipments/{id}/status

Returns the current status of the specified equipment. The response includes metadata depending on the status

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idinteger · int32Required

ID of the equipment

Responses
200

Equipment status retrieved successfully

application/json
statusstring · enumRequired

Current status of the equipment

Possible values:
get/v2/fleet/equipments/{id}/status

Archive an equipment

post
/v2/fleet/equipments/{id}/status/archived

Marks the specified equipment as archived. Archived equipment will no longer be active, but can be restored later using the /status/active endpoint.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idinteger · int32Required

ID of the equipment

Body
commentstringRequired

Reason or note for archiving the equipment

Example: Equipment is no longer in use and has been replaced
Responses
204

Equipment archived successfully (no content)

No content

post/v2/fleet/equipments/{id}/status/archived

No content

Unarchive an equipment

post
/v2/fleet/equipments/{id}/status/active

Restores a previously archived equipment to active status.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idinteger · int32Required

ID of the equipment

Responses
204

Equipment unarchived successfully (no content)

No content

post/v2/fleet/equipments/{id}/status/active

No content

Last updated

Was this helpful?